Recharge settings
Endpoint to retrieve account details.
Authorizations
api_keystringRequired
Path parameters
idstringRequired
Account ID
Responses
200
Account details retrieved successfully
application/json
idstringOptionalExample:
account123stripe_customer_idstringOptionalExample:
cus_HKJ432LKJ12balancenumber · floatOptionalExample:
100404
Account not found
get
/account/{id}Update the recharge settings for a specified account.
Authorizations
api_keystringRequired
Path parameters
accountIdstringRequired
The unique identifier of the account
Body
autorecharge_enabledbooleanOptional
Flag to enable or disable automatic recharging
autorecharge_thresholdnumber · doubleOptional
Balance threshold to trigger automatic recharge
autorecharge_amountnumber · doubleOptional
Amount to be added when automatic recharge is triggered
Responses
200
Successfully updated recharge settings
No content
404
Account not found
put
/account/{accountId}/recharge-settingsNo content
Last updated